
function OnMapLoad()
	if version < 1454 then
		MessageBox"Update the game to version >= 1.4.5.4 to play the level."
		ExitLevel()
	else
		SetBossFightPoint(56220, 12690)
		RemoveSound"LEVEL_PEGSLIDE"
		CreateObject{name="AbyssGenerate", YMin=15020}
		CreateObject{name="AbyssGenerate", YMin=6700}
		CreateObject{name="BackgroundStars"}
	end
end